## gate.gui
Class DocumentEditor.EventsHandler

    java.lang.Object
      |
      +--gate.gui.DocumentEditor.EventsHandler

All Implemented Interfaces:
  AnnotationSetListener, DocumentListener, EventListener

Enclosing class:
  DocumentEditor

class DocumentEditor.EventsHandler
extends Object
implements DocumentListener, AnnotationSetListener

All the events from the document or its annotation sets are handled by this inner class.

Inner Class Summary
`(package private) class` `DocumentEditor.EventsHandler.HighlightsRemover` Helper class that removes one highlight corresponding to an annotation.
`(package private) class` `DocumentEditor.EventsHandler.HihglightsShower` Helper class that highlights a given annotation with the specified style.
`(package private) class` `DocumentEditor.EventsHandler.NodeAdder` Helper class that adds a specified tree node
`(package private) class` `DocumentEditor.EventsHandler.NodeRemover` Helper class that removes one node from the types tree.
`(package private) class` `DocumentEditor.EventsHandler.SetRemovedOperation` Helper class that handles the removal of a named annotation set.

Constructor Summary
`(package private)` `DocumentEditor.EventsHandler()`

Method Summary
`void` `annotationAdded(AnnotationSetEvent e)` Called when a new `Annotation` has been added
`void` `annotationRemoved(AnnotationSetEvent e)` Called when an `Annotation` has been removed
`void` `annotationSetAdded(DocumentEvent e)` Called when a new `AnnotationSet` has been added
`void` `annotationSetRemoved(DocumentEvent e)` Called when an `AnnotationSet` has been removed

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### DocumentEditor.EventsHandler

    DocumentEditor.EventsHandler()

Method Detail

### annotationSetAdded

    public void annotationSetAdded(DocumentEvent e)

  Description copied from interface: `DocumentListener`
  Called when a new `AnnotationSet` has been added
  Specified by:
    `annotationSetAdded` in interface `DocumentListener`

### annotationSetRemoved

    public void annotationSetRemoved(DocumentEvent e)

  Description copied from interface: `DocumentListener`
  Called when an `AnnotationSet` has been removed
  Specified by:
    `annotationSetRemoved` in interface `DocumentListener`

### annotationAdded

    public void annotationAdded(AnnotationSetEvent e)

  Description copied from interface: `AnnotationSetListener`
  Called when a new `Annotation` has been added
  Specified by:
    `annotationAdded` in interface `AnnotationSetListener`

### annotationRemoved

    public void annotationRemoved(AnnotationSetEvent e)

  Description copied from interface: `AnnotationSetListener`
  Called when an `Annotation` has been removed
  Specified by:
    `annotationRemoved` in interface `AnnotationSetListener`